Loading...
Searching...
No Matches
pcl::gpu::people::trees::AttribLocation Struct Reference

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/people/include/pcl/gpu/people/tree.h>`

## Public Member Functions

| AttribLocation ()
| AttribLocation (int u1, int v1, int u2, int v2)

## Public Attributes

std::int16_t | du1
std::int16_t | dv1
std::int16_t | du2
std::int16_t | dv2

## Detailed Description

Definition at line 77 of file tree.h.

## Constructor & Destructor Documentation

## AttribLocation() [1/2]

pcl::gpu::people::trees::AttribLocation::AttribLocation | ( |  | ) |

inline

Definition at line 79 of file tree.h.

References du1, du2, dv1, and dv2.

## AttribLocation() [2/2]

pcl::gpu::people::trees::AttribLocation::AttribLocation | ( | int | u1,
|  | int | v1,
|  | int | u2,
|  | int | v2 )

inline

Definition at line 80 of file tree.h.

References du1, du2, dv1, and dv2.

## Member Data Documentation

## du1

std::int16_t pcl::gpu::people::trees::AttribLocation::du1

Definition at line 86 of file tree.h.

Referenced by AttribLocation(), AttribLocation(), pcl::gpu::people::trees::operator<<(), and pcl::gpu::people::trees::operator>>().

## du2

std::int16_t pcl::gpu::people::trees::AttribLocation::du2

Definition at line 86 of file tree.h.

Referenced by AttribLocation(), AttribLocation(), pcl::gpu::people::trees::operator<<(), and pcl::gpu::people::trees::operator>>().

## dv1

std::int16_t pcl::gpu::people::trees::AttribLocation::dv1

Definition at line 86 of file tree.h.

Referenced by AttribLocation(), AttribLocation(), pcl::gpu::people::trees::operator<<(), and pcl::gpu::people::trees::operator>>().

## dv2

std::int16_t pcl::gpu::people::trees::AttribLocation::dv2

Definition at line 86 of file tree.h.

Referenced by AttribLocation(), AttribLocation(), pcl::gpu::people::trees::operator<<(), and pcl::gpu::people::trees::operator>>().

The documentation for this struct was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/people/include/pcl/gpu/people/tree.h